Mozilla Releases Firefox 9 and Firefox 3.6.25

Last Updated: 07/20/2016

Security Notice Level

SEVERE

The Mozilla Foundation has released Firefox 9 and Firefox 3.6.25. Browsers that are not updated to these new versions are susceptible to multiple vulnerabilities. These vulnerabilities may allow an attacker to execute arbitrary code, cause a denial-of-service condition, or perform a cross-site scripting attack.

The OIT Security Office recommends all users update.

Affected Software

  • Mozilla Firefox prior to version 9
  • Mozilla Firefox 3.6.24 and prior versions

Additional Information

Security bulletin names:

  • Security Advisories for Firefox 3.6
  • Security Advisories for Firefox

Release date: December 21, 2011

Additional information about this vulnerability can be viewed at:

http://www.mozilla.org/security/known-vulnerabilities/firefox36.html
http://www.mozilla.org/security/known-vulnerabilities/firefox.html#firefox9